﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.AppStyling;
using Infragistics.Win.AppStyling.Runtime;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.FormattedLinkLabel;
using Infragistics.Win.UltraWinEditors;

namespace Summary
{
    public partial class Form1 : Form
    {
        private DataTable table = null;

        public Form1()
        {
            this.InitializeComponent();

            this.grid.InitializeLayout += new InitializeLayoutEventHandler(grid_InitializeLayout);
            this.grid.DataSource = this.Table;
            this.grid.AfterCellUpdate += new CellEventHandler(grid_AfterCellUpdate);
            this.grid.DisplayLayout.Override.RowEditTemplateUIType = RowEditTemplateUIType.RowSelectorImage;
            UltraGridRowEditTemplate template = new UltraGridRowEditTemplate();
            this.grid.DisplayLayout.Bands[0].RowEditTemplate = template;
        }

        void grid_AfterCellUpdate(object sender, CellEventArgs e)
        {
            if ( e.Cell.Column.Key == "Number" )
                //e.Cell.Column.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.Edit;
                e.Cell.Column.ValueList = null;
        }

        void grid_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            //e.Layout.Bands[0].Columns["FormattedText"].CellActivation = Infragistics.Win.UltraWinGrid.Activation.Disabled;

            ValueList vl = new ValueList();
            vl.ValueListItems.Add(1, "One");
            vl.ValueListItems.Add(2, "Two");
            vl.ValueListItems.Add(3, "Three");
            e.Layout.Bands[0].Columns["Number"].ValueList = vl;
        }

        private DataTable Table
        {
            get
            {
                if ( this.table == null )
                {
                    this.table = new DataTable();


                    this.table.Columns.Add("Name", typeof(string));
                    this.table.Columns.Add("Number", typeof(int));

                    this.table.Rows.Add( new object[]{ "One", 1} );
                    this.table.Rows.Add( new object[]{ "Two", 2} );
                    this.table.Rows.Add( new object[]{ "Three", 3} );
                }

                return this.table;
            }
        }

    }

}
